.section-slide-evento {
  position: relative;
  overflow: hidden;
  width: 100%;
  min-height: 44vh;
  height: 100vh;
}

.slide-wrapper {
  display: flex;
  height: 100%;
  width: 100%;
  transition: transform 0.9s ease-in-out;
}

.slide-item {
  flex: 0 0 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  position: relative;
}

.hero-content {
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: var(--charging-light);
  z-index: 2;
  justify-content: center;
  align-items: center;
}

.hero-content:hover .hidden {
  visibility: visible;
  transition: opacity 0.3s ease;
  /* Transição suave */
}

.hero-container {
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  color: var(--charging-light);
  z-index: 2;
  padding: 0 24px;
  width: 100%;
  justify-content: space-between;
  gap: 16px;
}

.hero-grupo {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: var(--charging-light);
  align-items: center;
  gap: 32px;
}

.hero-texto {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  gap: 16px;
  text-align: center;
  color: var(--text-default);
}

.hero-button-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 64px;
  width: 100%;
}

.btn-hero1,
.btn-hero2 {
  display: flex;
  padding: 16px 24px;
  justify-content: center;
  align-items: center;
  gap: 16px;
  border-radius: 8px;
  text-decoration: none;
  transition: background 0.4s ease, color 0.4s ease;
  color: var(--surface-secondary, #fff);
}

.btn-hero1 {
  background: #65d337;
  color: #ffffff;
}

.btn-hero1:hover {
  background-color: #00820d;
  color: #ffffff;
  transform: none;
  /* Remove o zoom */
}

.btn-hero2 {
  background: #ffffff;
  color: #65d337;
}

.btn-hero2:hover {
  background-color: #00820d;
  color: #ffffff;
  transform: none;
  /* Remove o zoom */
}

.section-charging-evento {
  background-color: #ffffff;
  color: #3a3a3a;
  text-align: center;
  padding: 80px 20px;
  font-family: "Roboto", sans-serif;
}

.section-charging-evento p {
  font-size: 19px;
  max-width: 1000px;
  margin: 0 auto;
  text-align: center;
  letter-spacing: 0.8px;
}

.section-parcerias-eventos {
  width: 100%;
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  background-color: var(--color-neutro-100);
}

.carousel-wrapper {
  width: 100%;
  overflow: hidden;
}


.parcerias-logos-eventos {
  display: flex;
  align-items: center;
  width: max-content;
  animation: slide 80s linear infinite;
}


.logo-item-eventos {
  flex: 0 0 calc(100vw / 6);
  display: flex;
  justify-content: center;
  align-items: center;
}


.logo-item-eventos img {
  max-width: 120px;
  width: 100%;
  height: auto;
  filter: brightness(0) invert(1);
  opacity: 0.95;
}


@keyframes slide {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}


@media (max-width: 768px) {
  .logo-item-eventos {
    flex: 0 0 calc(100vw / 3);
  }

  .logo-item-eventos img {
    max-width: 80px;
  }
}

:root {
  --charging-green: #6bd44c;
  --charging-text: #333;
  --charging-muted: #777;
  --charging-bg: #f6f6f6;
}

/* SECTION */
.charging-events-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 64px;
}

.charging-event-container {
  display: flex;
  flex-direction: column;
  gap: 64px;
  max-width: 1280px;
  width: 100%;
}

.charging-events-divider {
  width: 160px;
  height: 8px;
  margin: 0 auto 20px;
  border-radius: 8px;
  background: var(
    --gradient-green,
    linear-gradient(
      90deg,
      var(--brand-primary-lighter-l, #16fd2d) 0%,
      var(--brand-primary-heavy, #00820d) 100%
    )
  );
}

/* GRID */
.charging-events-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 24px;
  max-width: 1200px;
  margin: 0 auto;
}

/* CARD */
.charging-event-card {
  position: relative;
  display: flex;
  height: 400px;
  width: 100%;
  border-radius: 16px;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
  transition: transform 0.3s ease;
}

.charging-event-card:hover {
  transform: scale(1.03);
}

.charging-event-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.charging-event-card img:hover {
  transform: scale(1.2);
  filter: brightness(0.75);
}

/* TITLE */
.charging-event-title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;

  color: var(--text-default);
  padding: 8px 16px;
  border-radius: 8px;
  background: rgba(51, 51, 51, 0.5);

  text-align: center;
  width: 80%;
}

.charging-event-card:hover > .charging-event-title {
  background: var(--text-inverted);
}

@media (max-width: 1280px) {
  .hero-button-container {
    gap: 24px;
  }

  .hero-container {
    padding: 0;
  }

  .charging-events-section {
    padding: 24px;
  }

  .charging-event-container {
    gap: 24px;
  }

  .charging-event-card {
    height: 300px;
  }

  .charging-events-grid {
    grid-template-columns: repeat(2, 1fr);
    margin: 0;
  }
}

@media (max-width: 768px) {

  .hero-grupo {
    gap: 16px;
    padding: 16px;
  }

  .section-charging-evento {
    padding: 16px;
  }

  .hero-button-container {
    flex-wrap: wrap;
    gap: 16px;
  }

  .fit {
    width: fit-content !important;
  }

  .btn-hero1,
  .btn-hero2 {
    width: 220px;
    font-size: 18px;
    margin: 0 auto;
  }

  .charge-me-gallery .gallery-row,
  .charge-me-gallery .bottom-row {
    grid-template-columns: repeat(2, 1fr) !important;
  }
    
   .charging-events-section {
    padding: 16px;
   }

   .charging-events-grid {
    gap: 16px;
    grid-template-columns: repeat(1, 1fr) !important;
   }

   .charging-event-container {
    gap: 16px;
   }
}
